Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Authorizations with Line Items


This section shows you how to process an authorization with line items.

The main difference between a basic authorization and an authorization that includes line items is that the orderInformation.amountDetails.totalAmount field, which is included in a basic authorization, is substituted with one or more line items that are included in a lineItem[] array.

Supported Processors

  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Streamline
  • Worldpay VAP

Processor-Specific Information

FDC Nashville Global Merchant Category Codes: when your business signs up with , assigns your account a merchant category code (MCC) based on your primary business type. sends this MCC to the card networks with every transaction you process. If you process a transaction that is unrelated to your usual goods or services, include the merchantInformation.categoryCode field and set it to the relevant MCC. and FDC Nashville Global do not validate the MCC you send. Using an incorrect MCC can result in increased decline rates, interchange downgrades, or fines. To verify the correct MCC, contact your account manager.

Fields Specific to this Use Case

These fields are required for each line item that you use:

FieldDescription
orderInformation.lineItems[].unitPrice
orderInformation.lineItems[].quantity
orderInformation.lineItems[].productCode
orderInformation.lineItems[].productSkuOptional when item_#_productCode is set to default, shipping_only, handling_only, or shipping_and_handling
orderInformation.lineItems[].productNameOptional when item_#_productCode is set to default, shipping_only, handling_only, or shipping_and_handling

At a minimum, you must include the orderInformation.lineItems[].unitPrice field to include a line item in an authorization. When this field is the only field included in the authorization, the system sets:

  • orderInformation.lineItems[].productCode: default
  • orderInformation.lineItems[].quantity: 1

Example Line Items

"orderInformation": {  "lineItems": [    {      "unitPrice": "10.00"    },    {      "unitPrice": "5.99",      "quantity": "3",      "productCode": "shipping_only"    },    {      "unitPrice": "29.99",      "quantity": "3",      "productCode": "electronic_good",      "productSku": "12384569",      "productName": "receiver"    }  ]}

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "currencyConversion": {    "indicator": "Y"  },  "paymentInformation": {    "card": {      "number": "CARD_NUMBER",      "expirationMonth": "12",      "expirationYear": "2030"    }  },  "orderInformation": {    "amountDetails": {      "currency": "USD",      "exchangeRate": ".91",      "originalAmount": "107.33",      "originalCurrency": "eur"    },    "billTo": {      "firstName": "John",      "lastName": "Doe",      "address1": "1 Market St",      "locality": "san francisco",      "administrativeArea": "CA",      "postalCode": "94105",      "country": "US",      "email": ""    },    "lineItems": [      {        "unitPrice": "10.00"      },      {        "unitPrice": "5.99",        "quantity": "3",        "productCode": "shipping_only"      },      {        "unitPrice": "29.99",        "quantity": "3",        "productCode": "electronic_good",        "productSku": "12384569",        "productName": "receiver"      }    ]  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6482385519226028804003/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6482385519226028804003"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6482385519226028804003/captures"    }  },  "clientReferenceInformation": {    "code": "1648238551902"  },  "id": "6482385519226028804003",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "117.94",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "processorInformation": {    "systemTraceAuditNumber": "191521",    "approvalCode": "831000",    "merchantAdvice": {      "code": "01",      "codeRaw": "M001"    },    "responseDetails": "ABC",    "networkTransactionId": "016153570198200",    "consumerAuthenticationResponse": {      "code": "2",      "codeRaw": "2"    },    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  },  "reconciliationId": "6482385519226028804003",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-03-25T20:02:32Z"}

Required Fields

Default Fields

These fields are required for a successful authorization with line items:

FieldDescription
orderInformation.amountDetails.currency
orderInformation.billTo.address1
orderInformation.billTo.administrativeArea
orderInformation.billTo.country
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.postalCode
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number

Country-Specific Fields

Argentina

FieldDescription
merchantInformation.taxIdRequired for Mastercard transactions.
merchantInformation.transactionLocalDateTimeRequired in Argentina when the time zone is not included in your account. Otherwise, this field is optional.

Brazil

FieldDescription
paymentInformation.card.sourceAccountTypeRequired for combo card transactions.
paymentInformation.card.sourceAccountTypeDetailsRequired for combo card line-of-credit and prepaid-card transactions.

Chile and Paraguay

FieldDescription
merchantInformation.taxIdRequired for Mastercard transactions.

Saudi Arabia

FieldDescription
processingInformation.authorizationOptions.transactionModeRequired only for merchants in Saudi Arabia.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.